%define           wxversion 3.0.2
Name		: veracrypt
Version		: 1.0f
Release		: 2%{?dist}
License		: Distributable
Summary		: A cross-platform disk encryption software
Group		: Applications/System
URL		: https://veracrypt.codeplex.com/
Packager        : René Vermare <rene@vermare.nl>
Vendor          : Dr. Linux, https://repo.vermare.nl/yum/
Source0         : %{name}-%{version}.tar.bz2
Source1         : wxWidgets-%{wxversion}.tar.bz2
BuildRoot       : %{_tmppath}/%{name}-buildroot
BuildRequires	: gcc, gcc-c++, gtk2-devel, nasm, fuse-devel, makeself, bzip2, tar, gzip
Requires        : atk, cairo, expat, graphite2, fontconfig, freetype, fuse-libs, gdk-pixbuf2, glib2, glibc, gtk2, harfbuzz, libdrm, libffi, libgcc, libICE, libpng, libselinux, libSM, libstdc++, libwayland-client, libwayland-server, libX11, libXau, libxcb, libXcomposite, libXcursor, libXdamage, libXext, libXfixes, libXi, libXinerama, libXrandr, libXrender, libXxf86vm, mesa-libEGL, mesa-libgbm, mesa-libGL, mesa-libglapi, pango, pcre, pixman, systemd-libs, xz-libs, zlib


%description
VeraCrypt is a free open-source on-the-fly disk encryption software for
Windows Vista/XP, Mac OS X, and Linux. This package contains the universal
executable supporting both graphical and text UI.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%{__tar} xf %{SOURCE1} --directory $RPM_BUILD_DIR/%{name}-%{version}/src/

%build
cd src
make WXSTATIC=1 WX_ROOT=$(pwd)/wxWidgets-%{wxversion} wxbuild

make WXSTATIC=1

%install
mkdir -p %{buildroot}/usr/bin %{buildroot}/usr/share/applications %{buildroot}/usr/share/veracrypt/doc %{buildroot}/usr/share/pixmaps
install -m 755 src/Setup/Linux/usr/bin/veracrypt %{buildroot}/usr/bin/veracrypt
install -m 644 src/Setup/Linux/usr/share/applications/veracrypt.desktop %{buildroot}/usr/share/applications/veracrypt.desktop
install -m 644 src/Setup/Linux/usr/share/veracrypt/doc/*.pdf %{buildroot}/usr/share/veracrypt/doc
install -m 644 src/Setup/Linux/usr/share/veracrypt/doc/License.txt %{buildroot}/usr/share/veracrypt/doc/License.txt
install -m 644 src/Setup/Linux/usr/share/pixmaps/veracrypt.xpm %{buildroot}/usr/share/pixmaps/veracrypt.xpm

%clean
rm -rf %{buildroot}

%post

%preun

%files 
%defattr(-, root, root, 0755)
%{_bindir}/veracrypt
%{_datadir}/%{name}/doc/*.pdf
%{_datadir}/%{name}/doc/License.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/veracrypt.xpm

%changelog
* Thu Apr 16 2015 René vermare <rene@vermare.nl> 1.0f-2
- Mounting speed improvement, up to 20% quicker on 64-bit
- (contributed by Nils Maier)
- Add option to set default hash/TrueCryptMode used for mounting volumes.
- Use TrueCryptMode/Hash specified in command line in password dialog. 
- Misc other fixes

* Mon Mar 9 2015 René vermare <rene@vermare.nl> 1.0f-1
- Rebuild with correct (Build)requirements

* Sat Mar 7 2015 René vermare <rene@vermare.nl> 1.0f-1
- Build complete with WxWidgets (for arm arch.)

* Sun Feb 8 2015 René vermare <rene@vermare.nl> 1.0f-1
- Initial build for arm arch.
